<?php
namespace Modules\API\APIExterne\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class EAT
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function invitation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function invitationDepositor(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function telechargementDocument(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function desactiver(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function reactive(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function bash(): bool
    {
        return true;
    }
}
